Agentes & Chat
Agent - Send WhatsApp Template
POST
/
v2
/
agents
/
{agentId}
/
send-template
Envía un mensaje de WhatsApp template vía API v2
curl --request POST \
--url https://app.braviloai.com/api/v2/agents/{agentId}/send-template \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"phoneNumber": "<string>",
"templateName": "<string>",
"languageCode": "es",
"components": [
{}
]
}
'import requests
url = "https://app.braviloai.com/api/v2/agents/{agentId}/send-template"
payload = {
"phoneNumber": "<string>",
"templateName": "<string>",
"languageCode": "es",
"components": [{}]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
phoneNumber: '<string>',
templateName: '<string>',
languageCode: 'es',
components: [{}]
})
};
fetch('https://app.braviloai.com/api/v2/agents/{agentId}/send-template', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"conversationId": "<string>"
}Envía un mensaje de WhatsApp usando un template pre-aprobado por Meta. Requiere que el agente (o su organización) tenga una integración de WhatsApp configurada.
Ejemplo
curl -X POST https://app.braviloai.com/api/v2/agents/${agentId}/send-template \
-H "Authorization: Bearer ${API_KEY}" \
-H "Content-Type: application/json" \
-d '{
"phoneNumber": "5491122334455",
"templateName": "hello_world",
"languageCode": "es",
"components": [
"type": "body",
"parameters": [{"type": "text", "text": "Juan"}]
]
}'
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID del agente
Body
application/json
⌘I
Envía un mensaje de WhatsApp template vía API v2

